/*******************************************************
 Author:					Manfred Langemann
 mailto:					Manfred.Langemann@t-online.de
 Latest version generated:	30.04.2007
 Filename:					Main.c
 Description:    			Main program to test
 							Real Time Clock Implementation

 Note: 
 Real Time Clock Implementation with IC RTC4513 by EPSON
 
 Implementation for ATmega32 with 8MHz clock

  *******************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <avr/io.h>
#include <avr/interrupt.h>

#include "Main.h"
#include "RealTimeClock.h"


int main (void)
	{
	uint8_t	DoW;
	uint8_t	s,m,h,D,M,Y;

	cli();
/*
** Init RS232
** Welcome .....
*/
//	RS232_Init ();	// Function to be provided by user
//	to allow printf function
//	printf ("Hello world ...\n");
/*
** Set Time, Date and DoW
*/
	RTC_Init ();
	RTC_SetTimeDate (30, 59, 23, RTC_SET_TIME);
	RTC_SetTimeDate (31, 12, 07, RTC_SET_DATE);
	RTC_SetDayOfWeek (3);
/*
** Get Time (s,m,h)
*/
	while (1)
		{
		s = RTC_GetTimeDate ('s', RTC_READ_TIME);
		m = RTC_GetTimeDate ('m', RTC_TAKE_READ_TIME);
		h = RTC_GetTimeDate ('h', RTC_TAKE_READ_TIME);
/*
** Get Date (D,M,Y) and Day of Week
*/
		D = RTC_GetTimeDate ('D', RTC_READ_DATE);
		M = RTC_GetTimeDate ('M', RTC_TAKE_READ_DATE);
		Y = RTC_GetTimeDate ('Y', RTC_TAKE_READ_DATE);
		DoW = RTC_GetDayOfWeek ();

///		printf ("%02d:%02d:%02d %02d.%02d.%02d   %2d\n", h,m,s,D,M,Y,DoW);
		}

	return (1);
	}



